<!doctype html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>Coffee Constructor</title>
<script>

// Coffee

function Coffee(roast, ounces) {
	this.roast = roast;
	this.ounces = ounces;
	this.getSize = function() {
		if (this.ounces === 8) {
			return "small";
		} else if (this.ounces === 12) {
			return "medium";
		} else if (this.ounces === 16) {
			return "large";
		}
	};
	this.order = function() {
		var msg;
		switch (this.getSize()) {
			case "small":
			case "medium":
			case "large":
				msg = "You've ordered a " + this.getSize() + " " + this.roast + " coffee.";
				break;
			default:
				msg = "We don't have a " + this.roast + " in that size!";
				break;
		}
		return msg;
	};
}

// Tea

function Tea(type, ounces) {
	this.type = type;
	this.ounces = ounces;
	this.getSteepTime = function() {
		if (this.ounces < 4) {
			return "very short";
		} else if (this.ounces < 8) {
			return "short";
		} else if (this.ounces < 12) {
			return "medium";
		} else if (this.ounces < 16) {
			return "long";
		} else if (this.ounces < 20) {
			return "very long";
		} else {
			return "forever";
		}
	};
	this.order = function() {
		var msg;
		switch (this.getSteepTime()) {
			case "very short":
			case "short":
			case "medium":
			case "long":
			case "very long":
				msg = "You've ordered a " + this.ounces + " ounces of " + this.type + ". It will take a " + this.getSteepTime() + " time for tea to steep.";
				break;
			default:
				msg = "We don't have time to wait for " + this.getSteepTime() + " for the tea to steep!";
				break;
		}
		return msg;
	};
}

// Adding sip function to prototypes: 
Coffee.prototype.sip = function() {
    return "Hmm, tasty.";
};
Tea.prototype.sip = function() {
    return "Hmm, tasty.";
};

/// Creating coffee, console logs

var coffee = new Coffee("House Blend", 12);
console.log(coffee.order());
console.log(coffee.sip());

var darkRoast = new Coffee("Dark Roast", 16);
console.log(darkRoast.order());
console.log(darkRoast.sip());

var specialBlend = new Coffee("Special Blend", 200);
console.log(specialBlend.order());

/// Creating tea, console logs

var teaL = new Tea("Lemon Tea", 3);
console.log(teaL.order());
console.log(teaL.sip());

var teaS = new Tea("Strawberry Tea", 8);
console.log(teaS.order());
console.log(teaS.sip());

var teaGn = new Tea("Green Tea", 13);
console.log(teaGn.order());
console.log(teaGn.sip());

var teaGy = new Tea("Grey Tea", 18);
console.log(teaGy.order());
console.log(teaGy.sip());

var teaB = new Tea("Black Tea", 23);
console.log(teaB.order());

</script>
</head>
<body>
</body>
</html>

